Bug 212526 - enscript ceased to work: "illegal option: StatesColorModel:"
enscript ceased to work: "illegal option: StatesColorModel:"
Product: Fedora
Classification: Fedora
Component: enscript (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
Depends On:
  Show dependency treegraph
Reported: 2006-10-27 04:40 EDT by Pekka Savola
Modified: 2013-04-30 19:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-27 07:35:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2006-10-27 04:40:55 EDT
$ rpm -q enscript

$ enscript 
enscript:/usr/share/enscript:/usr/local/lib/ps:/usr/lib/ps:128: illegal option:

It seems that the new enscript no longer likes the previous enscript version's
default configuration file, commenting out "StatesColorModel" and
"StatesHighlightLevel" fixes that.

enscript.cfg.rpmnew was created that doesn't have this problem.

Should the user just edit the configuration or is this something that needs to
be addressed at %post scripts or some such?  Did the feature set of enscript
change at the upgrade?

StatesColorModel: blackwhite
Comment 1 Adam Tkac 2006-10-27 07:35:04 EDT
Latest version that supports StatesColorModel option was 1.6.1-31. After that,
StatesColorModel option isn't avaliable. Please see StatesColor,
StatesConfigFile and StatesHighlightStyle options. These options can compensate
removed opts
Comment 2 Pekka Savola 2006-10-30 01:40:08 EST
To be clear, I don't need those options.  The point was, those options were in
the old enscript.cfg *by default*, which prevented new enscript from running
unless you changed the config file.  Whether this is an issue that would need to
be addressed is another thing...
Comment 3 Adam Tkac 2006-10-31 03:08:17 EST
If you have a config file (enscript.cfg), and you update package there're many
arguments to not modify old config file.

Note You need to log in before you can comment on or make changes to this bug.